﻿///////////////////////////////////////////////////////////////////////////
//  Copyright (C) Wizardry and Steamworks 2016 - License: GNU GPLv3      //
//  Please see: http://www.gnu.org/licenses/gpl.html for legal details,  //
//  rights of fair usage, the disclaimer and warranty conditions.        //
///////////////////////////////////////////////////////////////////////////

using System;
using wasSharp.Geo;

namespace wasStitchNET.Structures
{
    public class StitchMirror : IEquatable<StitchMirror>
    {
        public StitchMirror(string address, Distance distance)
        {
            Address = address;
            Distance = distance;
        }

        public string Address { get; }

        public Distance Distance { get; }

        public bool Equals(StitchMirror other)
        {
            return other != null && Address.Equals(other.Address);
        }

        public override int GetHashCode()
        {
            return Address.GetHashCode() ^ Distance.GetHashCode();
        }
    }
}